require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::CountriesController < CoreModelsController
    # GET /base/countries
    # GET /base/countries.json
    def index
      @base_countries = Base::Country.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render :json => @base_countries }
      end
    end

    # GET /base/countries/1
    # GET /base/countries/1.json
    def show
      @base_country = Base::Country.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render :json => @base_country }
      end
    end

    # GET /base/countries/new
    # GET /base/countries/new.json
    def new
      @base_country = Base::Country.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render :json => @base_country }
      end
    end

    # GET /base/countries/1/edit
    def edit
      @base_country = Base::Country.find(params[:id])
    end

    # POST /base/countries
    # POST /base/countries.json
    def create
      @base_country = Base::Country.new(params[:base_country])

      respond_to do |format|
        if @base_country.save
          format.html { redirect_to @base_country, :notice => 'Country was successfully created.' }
          format.json { render :json => @base_country, :status => :created, :location => @base_country }
        else
          format.html { render :action => "new" }
          format.json { render :json => @base_country.errors, :status => :unprocessable_entity }
        end
      end
    end

    # PUT /base/countries/1
    # PUT /base/countries/1.json
    def update
      @base_country = Base::Country.find(params[:id])

      respond_to do |format|
        if @base_country.update_attributes(params[:base_country])
          format.html { redirect_to @base_country, :notice => 'Country was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render :action => "edit" }
          format.json { render :json => @base_country.errors, :status => :unprocessable_entity }
        end
      end
    end

    # DELETE /base/countries/1
    # DELETE /base/countries/1.json
    def destroy
      @base_country = Base::Country.find(params[:id])
      @base_country.destroy

      respond_to do |format|
        format.html { redirect_to base_countries_url }
        format.json { head :no_content }
      end
    end
  end
end
