require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::DialectsController < CoreModelsController
    # GET /base/dialects
    # GET /base/dialects.json
    def index
      @base_dialects = Base::Dialect.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render :json => @base_dialects }
      end
    end

    # GET /base/dialects/1
    # GET /base/dialects/1.json
    def show
      @base_dialect = Base::Dialect.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render :json => @base_dialect }
      end
    end

    # GET /base/dialects/new
    # GET /base/dialects/new.json
    def new
      @base_dialect = Base::Dialect.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render :json => @base_dialect }
      end
    end

    # GET /base/dialects/1/edit
    def edit
      @base_dialect = Base::Dialect.find(params[:id])
    end

    # POST /base/dialects
    # POST /base/dialects.json
    def create
      @base_dialect = Base::Dialect.new(params[:base_dialect])

      respond_to do |format|
        if @base_dialect.save
          format.html { redirect_to @base_dialect, :notice => 'Dialect was successfully created.' }
          format.json { render :json => @base_dialect, :status => :created, :location => @base_dialect }
        else
          format.html { render :action => "new" }
          format.json { render :json => @base_dialect.errors, :status => :unprocessable_entity }
        end
      end
    end

    # PUT /base/dialects/1
    # PUT /base/dialects/1.json
    def update
      @base_dialect = Base::Dialect.find(params[:id])

      respond_to do |format|
        if @base_dialect.update_attributes(params[:base_dialect])
          format.html { redirect_to @base_dialect, :notice => 'Dialect was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render :action => "edit" }
          format.json { render :json => @base_dialect.errors, :status => :unprocessable_entity }
        end
      end
    end

    # DELETE /base/dialects/1
    # DELETE /base/dialects/1.json
    def destroy
      @base_dialect = Base::Dialect.find(params[:id])
      @base_dialect.destroy

      respond_to do |format|
        format.html { redirect_to base_dialects_url }
        format.json { head :no_content }
      end
    end
  end
end
