require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::LanguagesController < CoreModelsController
    # GET /base/languages
    # GET /base/languages.json
    def index
      @base_languages = Base::Language.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render :json => @base_languages }
      end
    end

    # GET /base/languages/1
    # GET /base/languages/1.json
    def show
      @base_language = Base::Language.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render :json => @base_language }
      end
    end

    # GET /base/languages/new
    # GET /base/languages/new.json
    def new
      @base_language = Base::Language.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render :json => @base_language }
      end
    end

    # GET /base/languages/1/edit
    def edit
      @base_language = Base::Language.find(params[:id])
    end

    # POST /base/languages
    # POST /base/languages.json
    def create
      @base_language = Base::Language.new(params[:base_language])

      respond_to do |format|
        if @base_language.save
          format.html { redirect_to @base_language, :notice => 'Language was successfully created.' }
          format.json { render :json => @base_language, :status => :created, :location => @base_language }
        else
          format.html { render :action => "new" }
          format.json { render :json => @base_language.errors, :status => :unprocessable_entity }
        end
      end
    end

    # PUT /base/languages/1
    # PUT /base/languages/1.json
    def update
      @base_language = Base::Language.find(params[:id])

      respond_to do |format|
        if @base_language.update_attributes(params[:base_language])
          format.html { redirect_to @base_language, :notice => 'Language was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render :action => "edit" }
          format.json { render :json => @base_language.errors, :status => :unprocessable_entity }
        end
      end
    end

    # DELETE /base/languages/1
    # DELETE /base/languages/1.json
    def destroy
      @base_language = Base::Language.find(params[:id])
      @base_language.destroy

      respond_to do |format|
        format.html { redirect_to base_languages_url }
        format.json { head :no_content }
      end
    end
  end
end
