module CoreModels
  class PeopleAndCompanies::Company < ActiveRecord::Base
    belongs_to :postal_address, :class_name => '::CoreModels::Base::Address', :optional => true
    belongs_to :registered_address, :class_name => '::CoreModels::Base::Address', :optional => true
    belongs_to :billing_address, :class_name => '::CoreModels::Base::Address', :optional => true
    accepts_nested_attributes_for :postal_address
    accepts_nested_attributes_for :registered_address
    accepts_nested_attributes_for :billing_address

    belongs_to :head_office_company, :class_name => '::CoreModels::PeopleAndCompanies::Company', :optional => true
    belongs_to :parent_office_company, :class_name => '::CoreModels::PeopleAndCompanies::Company', :optional => true

    belongs_to :registration_country, :class_name => '::CoreModels::Base::Country', :optional => true

    has_one :company_logo, :class_name => '::CoreModels::PeopleAndCompanies::CompanyLogo'
    has_one :logo, :through => :company_logo, :class_name => '::AssetManagement::AssetData', :dependent => :destroy
    accepts_nested_attributes_for :company_logo
    accepts_nested_attributes_for :logo

    #attr_accessible :name, :fiscal_name, :branch_name, :notes, :registration_number, :vat_registration_number
    #attr_accessible :telephone_number_1, :telephone_number_2, :telephone_number_3, :fax_number_1, :fax_number_2, :fax_number_3
    #attr_accessible :email_1, :email_2, :email_3, :url_1, :url_2, :url_3
    #attr_accessible :billing_contact, :billing_email_address

    #if ::Rails.env.test?
    #attr_accessible :head_office_company, :head_office_company_id
    #attr_accessible :parent_office_company, :parent_office_company_id
    #attr_accessible :postal_address, :postal_address_id
    #attr_accessible :billing_address, :billing_address_id
    #attr_accessible :registered_address, :registered_address_id
    #attr_accessible :registration_country, :registration_country_id
    #end

    #attr_accessible :company_logo_attributes

    validates :name, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      self.display_name
    end

    def display_name
      self.name
    end
  end
end
