CoreModels::Engine.routes.draw do

  # People & Companies
  namespace :people_and_companies do
    resources :bank_branches
    resources :bank_payment_cards
    resources :bank_payment_card_vendors
    resources :banks
    resources :business_languages
    resources :companies
    resources :company_bank_accounts
    resources :job_titles
    resources :master_information
    resources :operating_companies
    resources :people
  end

  # Base models
  namespace :base do
    resources :addresses
    resources :colours
    resources :countries
    resources :currencies
    resources :dialects
    resources :distance_units
    resources :genders
    resources :languages
    resources :maritial_statuses
    resources :payment_methods
    resources :timespans
  end

  namespace :misc do
    resources :tax_classes
    resources :vat_rates
  end

  # Mount dependent engines if they are not directly mounted by the application (Gemfile or routes.rb)
  # - the assumption is that the application will handle the mount path
  # - we must handle non-deterministic load/mount order of dependent engines
  [:asset_management].each do |engine|
    #unless Rails.application.config.eager_load_namespaces.include?("#{engine.capitalize}::Engine".constantize.class)
    #unless Rails.application.routes.named_routes.routes.keys.include?(engine)
    unless Rails.application.routes.named_routes.key?(engine)
      mount "::#{engine.to_s.camelize}::Engine".constantize => "/#{engine.to_s}", :as => engine
    end
  end

  get 'operations' => 'operations#index'

  root :to => 'operations#index'
end
