# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "core_models/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "core_models"
  s.version     = CoreModels::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "CoreModels engine (v#{s.version})"
  s.description = "Core/Common models with standardised data"
  s.license     = 'MIT'

  s.files = Dir["{app,config,db,lib}/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  #s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "core_models", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/core_models_tasks.rake", "lib/core_models.rb"]

  s.add_dependency 'rails', '~> 5.0'

  # iCal processor
  s.add_dependency 'icalendar'
  s.add_dependency 'ice_cube'

  # Map for address views
  s.add_dependency 'underscore-rails'
  s.add_dependency 'geocoder'
  s.add_dependency 'gmaps4rails'
  #s.add_dependency 'redis'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = CORE_MODELS_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency "#{in_house_engine.to_s}" }

end
