class CreateCoreBaseAddresses < ActiveRecord::Migration[4.2]
  def change
    create_table :core_base_addresses do |t|
      t.string :room
      t.string :building
      t.string :address_line_1
      t.string :address_line_2
      t.string :town
      t.string :city
      t.string :postal_code
      t.string :region
      t.references :country

      t.string :world_coordinates

      t.string :telephone_number_1
      t.string :telephone_number_2
      t.string :telephone_number_3
      t.string :fax_number_1
      t.string :fax_number_2

      t.string :email_1
      t.string :email_2
      t.string :email_3

      t.string :url_1
      t.string :url_2
      t.string :url_3

      #t.references :owner
      t.references :owner, :polymorphic => true

      t.timestamps :null => false
    end

    add_index :core_base_addresses, :country_id
    #add_index :core_base_addresses, :owner_id
  end
end
