class CreateCorePeopleAndCompaniesBankPaymentCards < ActiveRecord::Migration[4.2]
  def change
    create_table :core_people_and_companies_bank_payment_cards do |t|
      t.string :name_on_card
      t.string :payment_card_number
      t.string :security_key
      t.datetime :valid_from
      t.datetime :valid_until
      t.references :client
      t.references :vendor

      t.timestamps :null => false
    end

    add_index :core_people_and_companies_bank_payment_cards, :client_id, :name => :index_bank_payment_cards_on_client_id
    add_index :core_people_and_companies_bank_payment_cards, :vendor_id, :name => :index_bank_payment_cards_on_vendor_id
  end
end
