class CreateCorePeopleAndCompaniesCompanyBankAccounts < ActiveRecord::Migration[4.2]
  def change
    create_table :core_people_and_companies_company_bank_accounts do |t|
      t.references :bank_account
      t.references :company

      t.timestamps :null => false
    end

    add_index :core_people_and_companies_company_bank_accounts, :bank_account_id, :name => :index_company_bank_accounts_on_bank_account_id
    add_index :core_people_and_companies_company_bank_accounts, :company_id, :name => :index_company_bank_accounts_on_company_id
    add_index :core_people_and_companies_company_bank_accounts, [:company_id, :bank_account_id], :name => :index_company_bank_accounts_on_company_id_and_bank_account_id, :unique => true
  end
end
