class CreateCorePeopleAndCompaniesCompanies < ActiveRecord::Migration[4.2]
  def change
    create_table :core_people_and_companies_companies do |t|
      t.string :name
      t.string :fiscal_name
      t.string :branch_name

      t.string :registration_number
      t.string :vat_registration_number

      t.references :head_office_company
      t.references :parent_office_company
      t.references :postal_address
      t.references :registered_address
      t.references :registration_country

      t.string :billing_contact
      t.string :billing_email_address
      t.references :billing_address

      t.string :telephone_number_1
      t.string :telephone_number_2
      t.string :telephone_number_3

      t.string :fax_number_1
      t.string :fax_number_2
      t.string :fax_number_3

      t.string :email_1
      t.string :email_2
      t.string :email_3

      t.string :url_1
      t.string :url_2
      t.string :url_3

      t.text :notes

      t.timestamps :null => false
    end

    add_index :core_people_and_companies_companies, :head_office_company_id, :name => :index_companies_on_head_office_company_id
    add_index :core_people_and_companies_companies, :parent_office_company_id, :name => :index_companies_on_parent_office_company_id
    add_index :core_people_and_companies_companies, :postal_address_id, :name => :index_companies_on_postal_address_id
    add_index :core_people_and_companies_companies, :registered_address_id, :name => :index_companies_on_registered_address_id
    add_index :core_people_and_companies_companies, :registration_country_id, :name => :index_companies_on_registration_country_id
  end
end
