class CreateCorePeopleAndCompaniesPeople < ActiveRecord::Migration[4.2]
  def change
    create_table :core_people_and_companies_people do |t|
      t.string :title
      t.string :forename
      t.string :middle_names
      t.string :surname

      t.references :home_address
      t.references :postal_address
      t.references :contact_address

      t.datetime :birthdate
      t.references :maritial_status
      t.references :gender

      t.string :health_service_reference
      t.string :id_card_number
      t.string :passport_number
      t.string :residency_number
      t.string :social_security_number

      t.string :telephone_number_1
      t.string :telephone_number_2
      t.string :telephone_number_3

      t.string :mobile_number_1
      t.string :mobile_number_2
      t.string :mobile_number_3

      t.string :fax_number_1
      t.string :fax_number_2
      t.string :fax_number_3

      t.string :email_1
      t.string :email_2
      t.string :email_3

      t.string :url_1
      t.string :url_2
      t.string :url_3

      t.text :notes

      t.timestamps :null => false
    end

    add_index :core_people_and_companies_people, :home_address_id, :name => :index_people_on_home_address_id
    add_index :core_people_and_companies_people, :postal_address_id, :name => :index_people_on_postal_address_id
    add_index :core_people_and_companies_people, :contact_address_id, :name => :index_people_on_contact_address_id
    add_index :core_people_and_companies_people, :maritial_status_id, :name => :index_people_on_maritial_status_id
    add_index :core_people_and_companies_people, :gender_id, :name => :index_people_on_gender_id
  end
end
