# To use the mattr functions, ActiveSupport dependencies are required.
#require 'rails'
require 'active_support/dependencies'

module CoreModels

  # The parent controller all engine controllers inherits from.
  # Defaults to ApplicationController. This should be set early
  # in the initialisation process and should be set to a string.
  mattr_accessor :parent_controller
  self.parent_controller = "ApplicationController"

  # Our host application root path
  # We set this when the engine is initialised
  # mattr_accessor :app_root
  # @@app_root = 'xyz'


  # Our host application root path
  # We set this when the engine is initialised
  #mattr_accessor :railtie_name
  #@@railtie_name = railtie_name


  # Default way to setup the engine.
  #
  # Run 'rails generate core_install' to create a fresh initializer with all
  # configuration values.
  def self.setup
    yield self
  end

  def railtie_name
    ::CoreModels::Engine.railtie_name
  end

  def mounted_path
    ::CoreModels::Engine.mounted_path
  end

  def root_path
    ::CoreModels::Engine.root
  end
end

# Require our engine
require 'core_models/version'
require 'core_models/engine'
