require 'rails'

module CoreModels
  class Engine < ::Rails::Engine
    isolate_namespace CoreModels

    # Make the following engine asset pipelines available to the application
    require 'underscore-rails'
    require 'geocoder'
    require 'gmaps4rails'
    #config.assets.paths << "#{::Gmaps4rails::Engine.root}/public/stylesheets"
    #config.asset_path << "#{::Gmaps4rails::Engine.root}/public/stylesheets"

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    config.generators do |g|
      g.test_framework :rspec, :fixture_replacement => :factory_bot, :views => false, :helper => true
      g.view_specs false
      g.helper_specs true
      g.fixture_replacement :factory_bot, :dir => 'spec/factories'
    end

    # Load translations from config/locales/*.rb,yml are auto loaded.
    config.i18n.load_path += Dir[File.join(File.dirname(__FILE__), '..', '..', 'config', 'locales', '**', '*.{rb,yml}').to_s]
  end
end
